Bug 57748 - Perl-RPM links against installed rpm libraries
Summary: Perl-RPM links against installed rpm libraries
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm-perl   
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-20 18:50 UTC by hawkfan
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-07 21:33:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file patch to correct link and man problems. (1.26 KB, patch)
2001-12-20 18:53 UTC, hawkfan
no flags Details | Diff

Description hawkfan 2001-12-20 18:50:32 UTC
Building rpm-4.0.3-1.03.src.rpm results in an rpm-perl package linked
against the installed rpm libraries preventing a 4.0.2->4.0.3 upgrade from
source.

Perl-RPM also installs man pages in /usr/man rather than /usr/share/man.

Comment 1 hawkfan 2001-12-20 18:53:26 UTC
Created attachment 41127 [details]
Spec file patch to correct link and man problems.

Comment 2 Jeff Johnson 2002-01-08 20:03:02 UTC
Added to rpm CVS, should be in rpm-4.0.4-0.9 and later. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.